Přihlásit se

Error po upgradu na Joomla 4

11. kvě 2022 17:58 #146267 od xunil
Odpověď od xunil

Rudolf napsal: Konec světa a kdo neupgraduje s námi, jde proti nám :D


Ach jo, já nic takového nepsal.

Ne i po 10 letech je možné "provozovat" J1.5. Tak nemusíš nikam spěchat.

Jen vývojářům uniklo již většina času aby přechod J3 na J4 byl ok. Něco mi říká, že to nebude nikdy ok a bez problému.
Jen mám pocit jako by jsi říkal, že je možné mít ruce za hlavou a pohoda, jelikož je ještě čas.

Pro možnost přispívání do fóra se přihlaste.

11. kvě 2022 21:33 #146268 od Rudolf
Odpověď od Rudolf
Xunile,

dokud není vyladěná verze 4 ve smyslu používání dalších rozšíření, tak prostě ruce za hlavou mít budu.
Ano, v příštím roce bych už rád měl vše vyladěné, a začal běžně nasazovat, ale tento rok se do toho hrnout nebudu.

Já se na to dívám taky z pohledu výrobce rozšíření (my máme asi 80 aktivních vlastních aplikací na J3) a z pohledu koncového uživatele - než honem honem něco upgradovat, protože je nová verze, raději si to otestuji na malých webech, kde nevadí, když nebude třeba fungovat správně router, indexování, canonical links, renderování obsahu, rychlost...

Ale pro běžné uživatele, kteří nepoužívají tolik rozšíření jako my, klidně je možné přejít už dnes.

MiniJoomla! - www.minijoomla.org - eshop s rozšířením Joomla/VM
Email Manager - aplikace na správu šablon emailů pro VirtueMart
Easy Feeder - aplikace na generování XML/CSV feedů a napojení na ERP pro VM
PragueClassicconcert - portál pro prodej vstupenek na systému Joomla

Pro možnost přispívání do fóra se přihlaste.

11. kvě 2022 22:29 #146270 od xunil
Odpověď od xunil

Rudolf napsal: Xunile,

dokud není vyladěná verze 4 ve smyslu používání dalších rozšíření, tak prostě ruce za hlavou mít budu.
Ano, v příštím roce bych už rád měl vše vyladěné, a začal běžně nasazovat, ale tento rok se do toho hrnout nebudu.

Já se na to dívám taky z pohledu výrobce rozšíření (my máme asi 80 aktivních vlastních aplikací na J3) a z pohledu koncového uživatele - než honem honem něco upgradovat, protože je nová verze, raději si to otestuji na malých webech, kde nevadí, když nebude třeba fungovat správně router, indexování, canonical links, renderování obsahu, rychlost...

Ale pro běžné uživatele, kteří nepoužívají tolik rozšíření jako my, klidně je možné přejít už dnes.


Ruce za hlavou - nemyslím uživatelé.
Vývojáři ti nemají mít ruce za hlavou.
Co se tyče jako výrobce rozšíření - je to každého volba, ale tam už většina své rozšíření překlopila, nebo na tom pracují a někteří už neexistují:)
PS: dovedeš si představit, že další aktualizace iOS ti nebude půl telefonu a aplikací fungovat? :)
Já vím, jiná situace a jiné rozpočty ale hlavně jiný přístup.

Pro možnost přispívání do fóra se přihlaste.

11. kvě 2022 23:03 #146271 od Rudolf
Odpověď od Rudolf

PS: dovedeš si představit, že další aktualizace iOS ti nebude půl telefonu a aplikací fungovat?


Dovedu.
Proto na mém applu mám pořád starší macOS Big Sur, místo nejnovějšího macOS Monterey, protože neexistují zatím všechny upgradované aplikace, které používám.

Analogicky jako J4 - nebudu instalovat nejnovější systém, jen proto že existuje.
Pro mě je důležitější zachování funkčnosti, abych mohl i nadále bez problémů pracovat - a pevně věřím, že stejně to mají naši zákazníci, kteří mají na J3 miliónové obraty.

Ale nikoho tím neodrazuji, prosím jen běžte, instalujte, upgradujte, testujte, nerad bych aby se diskuse zvrhla v otázku co bylo dříve - vejce nebo slepice.
Chápu, že Joomla 4, jako taková měla být vyladěná dříve a chápu, že vývojáři rozšíření měli virtuálně mnoho času na vývoj.

My taky neustále upgradujeme aplikace - naposledy Gopay platební bránu, aby se po neuskutečněné platbě vrátil eshop Phoca Cart zpět do košíku včetně všech vyplněných informací - a to bylo na popud zákazníka, co si rozšíření koupil.
A takto mám každý týden několik takový úkolů pro programátory - jen prioritní jsou supportní úkoly a ne vývoj, protože existuje J4.

Kdybych měl postavit bussines jen na prodeji Joomla rozšíření nebo šablon (jak například jeden začíná emaily - Mám pro Vás tip na rozšíření), tak bych se neuživil.

Lehký příklad:
Gopay for Phoca Cart:
Náklady:
- programování, testování, archivace, verzování - cca 10-20h
- marketingové věci kolem (překlady, umístění na eshop, obrázky, dokumentace, schválení na JED, články, propagace...) - 20-30h
- fakturantka
Výnosy:
6 x prodaných pluginů a jedna plná implementace.

Tohle víme již z doby EasySoftware, tak mi fakt sakra není jasné, jak to není jasné ostatním, kdo umí jednoduché kupecké počty.
Trh s rozšířením pro Joomla je specifický a pokud není zaměřen celosvětově, tak ani trochu výdělečný.

Co mě tedy nutí upgradovat rozšíření na J4?
Jedině to, když současně budu upgradovat web pro zákazníka a on to zaplatí.
Jinak to pro modré oči a jednu prodanou licenci dělat nebudu. Sorry.

MiniJoomla! - www.minijoomla.org - eshop s rozšířením Joomla/VM
Email Manager - aplikace na správu šablon emailů pro VirtueMart
Easy Feeder - aplikace na generování XML/CSV feedů a napojení na ERP pro VM
PragueClassicconcert - portál pro prodej vstupenek na systému Joomla

Pro možnost přispívání do fóra se přihlaste.

11. kvě 2022 23:25 #146272 od Cony
Odpověď od Cony
Analogicky, znám poměrně hodně lidí (firem), kteří dodnes jedou na Windows 7. Důvody jsou různé, ale někdy to bývá právě i nekompatibilita SW s novějšími windows (obvykle nějaké sklady / účto / specializované aplikace). Podobně hodně serverů jede ještě dnes na PHP 5.x, protože mají napsaného něco na míru a je pro ně nezajímavé to nechat předělávat.

Oboje obvykle končí v okamžiku, kdy se něco po.... a zákazník najednou zjistí, že už nesežene počítač s Windows 7 (server s PHP 5.x) a že v kódu starém desítky let se už nikdo vrtat nebude, tzn. vše se staví komplet znovu, nebo se přechází na jiný SW.

U Joomly 3 to bude podobně. Myslím, že ještě dlouhá léta pojedou stávající weby na Joomle 3. Pokud se v ní neobjeví nějaký opravdu kritický problém, nebo nebude nedostatek serverů s PHP 7.x, nic nebude tlačit zákazníky do aktualizace. A vzhledem k náročnosti přechodu (i když budou všechna rozšíření kompatibilní, tak šablona na 99% ne) budete těžko přesvědčovat zákazníka, že má platit za něco, co vlastně "ani nepotřebuje".

Jinou věcí jsou nové weby, tam už se pomalu ale jistě chystám na J4, i když zatím nejsem takový nadšenec jako František :) Nicméně, pokud nebudeme stavět na J4, nikam se to nikdy nepohne :) Na druhou stranu já jsem dosti specifický, v Joomle nepoužívám např. ani Bootstrap, což je často vyzdvihováno jako jedna s důležitých výhod J4.

Pro možnost přispívání do fóra se přihlaste.

11. kvě 2022 23:52 #146273 od xunil
Odpověď od xunil

Rudolf napsal:
Dovedu.
Proto na mém applu mám pořád starší macOS Big Sur, místo nejnovějšího macOS Monterey, protože neexistují zatím všechny upgradované aplikace, které používám.

iOS není macOS
Mohli by jsme napsat spoustu zkušenosti Rosetta atd. ale to už jsme asi mimo téma.

Rudolf napsal: Analogicky jako J4 - nebudu instalovat nejnovější systém, jen proto že existuje.
Pro mě je důležitější zachování funkčnosti, abych mohl i nadále bez problémů pracovat - a pevně věřím, že stejně to mají naši zákazníci, kteří mají na J3 miliónové obraty.

Souhlas. Milionové obraty může mít i na Androidu 4.0.

Rudolf napsal: Chápu, že Joomla 4, jako taková měla být vyladěná dříve a chápu, že vývojáři rozšíření měli virtuálně mnoho času na vývoj.

Přesně.

Rudolf napsal: My taky neustále upgradujeme aplikace - naposledy Gopay platební bránu, aby se po neuskutečněné platbě vrátil eshop Phoca Cart zpět do košíku včetně všech vyplněných informací - a to bylo na popud zákazníka, co si rozšíření koupil.

Dobré vědět :)


Různí vývojáři jsou na tom různě.
extensions.joomla.org/

Pro možnost přispívání do fóra se přihlaste.

Powered by Fórum